import React from "react";
import { IconPosition, LinkTarget } from "./LinkConsts";
import { SubIcon, VibeComponent, VibeComponentProps } from "../../types";
export interface LinkProps extends VibeComponentProps {
    /**
     * @deprecated - use className instead
     */
    componentClassName?: string;
    /**
     * Class name for overriding link text styles
     */
    textClassName?: string;
    /** Specifies the location (URL) of the external resource */
    href?: string;
    /** The link text */
    text?: string;
    /** Defines the relationship between a linked resource and the current document */
    rel?: string;
    /** onClick function - MouseEvent */
    onClick?: (event: React.MouseEvent) => void;
    /** Specifies where to open the linked document */
    target?: LinkTarget;
    /** Aria label description */
    ariaLabelDescription?: string;
    /** Identifies the element (or elements) that describes the element on which the attribute is set. */
    ariaDescribedby?: string;
    /** element id to describe the counter accordingly */
    ariaLabeledBy?: string;
    /** Icon to add to the link element */
    icon?: SubIcon;
    /** the position of the icon in relation to the etext */
    iconPosition?: IconPosition;
    /** disable navigation */
    disableNavigation?: boolean;
    /** inherit text size */
    inheritFontSize?: boolean;
    /** if the link is in part of other text content */
    inlineText?: boolean;
}
declare const _default: ((VibeComponent<LinkProps & React.RefAttributes<HTMLAnchorElement>, HTMLAnchorElement> & Partial<{
    position: typeof IconPosition;
    target: typeof LinkTarget;
    iconPositions: typeof IconPosition;
    targets: typeof LinkTarget;
}>) | (React.FC<LinkProps & React.RefAttributes<HTMLAnchorElement>> & Partial<{
    position: typeof IconPosition;
    target: typeof LinkTarget;
    iconPositions: typeof IconPosition;
    targets: typeof LinkTarget;
}>)) & {
    position: typeof IconPosition;
    target: typeof LinkTarget;
    iconPositions: typeof IconPosition;
    targets: typeof LinkTarget;
};
export default _default;
