import{defineProperty as e}from"../../../_virtual/_rollupPluginBabelHelpers.js";import{jsx as i,jsxs as o}from"react/jsx-runtime";import a from"classnames";import{forwardRef as n,useRef as t,useCallback as r,useMemo as s,useEffect as l}from"react";import c from"../../hooks/useDebounceEvent/index.js";import d from"../Icon/Icon.js";import{backwardCompatibilityForProperties as u}from"../../helpers/backwardCompatibilityForProperties.js";import m from"../Loader/Loader.js";import p from"../Text/Text.js";import v from"../FieldLabel/FieldLabel.js";import{TextFieldFeedbackState as b,TextFieldTextType as f,FEEDBACK_CLASSES as C,SIZE_MAPPER as y,getActualSize as h,TextFieldAriaLabel as j}from"./TextFieldConstants.js";import{BASE_SIZES as N}from"../../constants/sizes.js";import g from"../../hooks/useMergeRef.js";import x from"../Clickable/Clickable.js";import{getTestId as T}from"../../tests/testIds.js";import{NOOP as I}from"../../utils/function-utils.js";import{ComponentDefaultTestId as O}from"../../tests/constants.js";import{withStaticProps as F}from"../../types/withStaticProps.js";import L from"./TextField.module.scss.js";var k={primary:"",secondary:"",layout:""},S=n((function(n,b){var N=n.className,F=void 0===N?"":N,A=n.placeholder,E=void 0===A?"":A,w=n.autoComplete,D=void 0===w?"off":w,R=n.value,z=n.onChange,_=void 0===z?I:z,H=n.onBlur,q=void 0===H?I:H,B=n.onFocus,M=void 0===B?I:B,P=n.onKeyDown,W=void 0===P?I:P,X=n.onWheel,V=void 0===X?I:X,K=n.debounceRate,U=void 0===K?0:K,Y=n.autoFocus,G=void 0!==Y&&Y,J=n.disabled,Q=void 0!==J&&J,Z=n.readonly,$=void 0!==Z&&Z,ee=n.setRef,ie=void 0===ee?I:ee,oe=n.iconName,ae=n.secondaryIconName,ne=n.id,te=void 0===ne?"input":ne,re=n.title,se=void 0===re?"":re,le=n.size,ce=void 0===le?S.sizes.SMALL:le,de=n.validation,ue=void 0===de?null:de,me=n.wrapperClassName,pe=void 0===me?"":me,ve=n.onIconClick,be=void 0===ve?I:ve,fe=n.clearOnIconClick,Ce=void 0!==fe&&fe,ye=n.labelIconName,he=n.showCharCount,je=void 0!==he&&he,Ne=n.inputAriaLabel,ge=n.searchResultsContainerId,xe=void 0===ge?"":ge,Te=n.activeDescendant,Ie=void 0===Te?"":Te,Oe=n.iconsNames,Fe=void 0===Oe?k:Oe,Le=n.type,ke=void 0===Le?f.TEXT:Le,Se=n.maxLength,Ae=void 0===Se?null:Se,Ee=n.trim,we=void 0!==Ee&&Ee,De=n.role,Re=void 0===De?"":De,ze=n.required,_e=void 0!==ze&&ze,He=n.loading,qe=void 0!==He&&He,Be=n.requiredAsterisk,Me=void 0!==Be&&Be,Pe=n.secondaryDataTestId,We=n.tabIndex,Xe=n.underline,Ve=void 0!==Xe&&Xe,Ke=n.name,Ue=n.withReadOnlyStyle,Ye=u([n["data-testid"],n.dataTestId],T(O.TEXT_FIELD,te)),Ge=t(null),Je=g(b,Ge,ie),Qe=r((function(e){_(e,{target:Ge.current})}),[_]),Ze=c({delay:U,onChange:Qe,initialStateValue:R,trim:we}),$e=Ze.inputValue,ei=Ze.onEventChanged,ii=Ze.clearValue,oi=s((function(){return ae&&$e?ae:oe}),[oe,ae,$e]),ai=r((function(){Q||(Ce&&(Ge.current&&Ge.current.focus(),Ge.current.value="",ii()),be(oi))}),[Ge,Q,Ce,be,oi,ii]),ni=s((function(){return ue&&ue.status?C[ue.status]:""}),[ue]),ti=oe||ae,ri=je||ue&&ue.text,si=ae===oi,li=oe===oi,ci=ae&&si&&!!$e;l((function(){if((null==Ge?void 0:Ge.current)&&G){var e=requestAnimationFrame((function(){return Ge.current.focus()}));return function(){return cancelAnimationFrame(e)}}}),[Ge,G]);var di=be!==I||Ce;return i("div",Object.assign({className:a(L.textField,pe,e(e({},L.disabled,Q),L.onlyUnderline,Ve)),role:Re,"aria-busy":qe},{children:o("div",Object.assign({className:a(L.labelWrapper)},{children:[i(v,{labelText:se,icon:ye,iconLabel:Fe.layout,labelFor:te,requiredAsterisk:Me}),o("div",Object.assign({className:a(L.inputWrapper,y[h(ce)],ni)},{children:[i("input",{className:a(F,L.input,e(e(e({},L.inputHasIcon,!!ti),L.readOnly,$),L.withReadOnlyStyle,Ue)),placeholder:E,autoComplete:D,value:$e,onChange:ei,disabled:Q,readOnly:$,ref:Je,type:ke,id:te,"data-testid":Ye,name:Ke,onBlur:q,onFocus:M,onKeyDown:W,onWheel:V,maxLength:Ae,role:xe&&"combobox","aria-label":Ne||E,"aria-invalid":ue&&"error"===ue.status,"aria-owns":xe,"aria-activedescendant":Ie,required:_e,tabIndex:We}),qe&&i("div",Object.assign({className:a(L.loaderContainer,e({},L.loaderContainerHasIcon,ti))},{children:i("div",Object.assign({className:a(L.loader)},{children:i(m,{svgClassName:a(L.loaderSvg)})}))})),i(x,Object.assign({className:a(L.iconContainer,e(e(e({},L.iconContainerHasIcon,ti),L.iconContainerActive,li),L.iconContainerClickable,di)),onClick:ai,tabIndex:be!==I&&$e&&oe.length&&li?"0":"-1"},{children:i(d,{icon:oe,className:a(L.icon),clickable:!1,iconLabel:Fe.primary,iconType:d.type.ICON_FONT,ignoreFocusStyle:!0,iconSize:ce===S.sizes.SMALL?"16px":"18px"})})),i(x,Object.assign({className:a(L.iconContainer,e(e(e({},L.iconContainerHasIcon,ti),L.iconContainerActive,si),L.iconContainerClickable,di)),onClick:ai,tabIndex:ci?"0":"-1","data-testid":Pe||T(O.TEXT_FIELD_SECONDARY_BUTTON,te)},{children:i(d,{icon:ae,className:a(L.icon),clickable:!1,iconLabel:Fe.secondary,iconType:d.type.ICON_FONT,ignoreFocusStyle:!0,iconSize:ce===S.sizes.SMALL?"16px":"18px"})}))]})),ri&&o(p,Object.assign({type:p.types.TEXT2,color:p.colors.SECONDARY,className:a(L.subTextContainer)},{children:[ue&&ue.text&&i("span",Object.assign({className:a(L.subTextContainerStatus)},{children:ue.text})),je&&i("span",Object.assign({className:a(L.counter),"aria-label":j.CHAR},{children:$e&&$e.length||0}))]}))]}))}))})),A=F(S,{sizes:N,feedbacks:b,types:f});export{A as default};
//# sourceMappingURL=TextField.js.map
